# Icinga/Nagios plugin to check nsupdate on bind server

This plugin permit to check nsupdate on bind server.

 - **Author :** Benjamin Renard <brenard@easter-eggs.com>
 - **Initial release date :** Tue, 16 Aug 2016 17:34:10 +0200
 - **Source :** https://gitlab.easter-eggs.com/brenard/check_nsupdate

### Usage

```
Usage : check_nsupdate -z zone.tld [-R] [-s server] [-r record] [-k key.private] [-d]
  -z zone         DNS zone to check
  -R              Reverse mode
  -s server       Optionnal : bind server address/FQDN (Default : 127.0.0.1)
  -r record       Optionnal : DNS record to use for check
                  (Default in forward mode : __check_nsupdate__)
                  In reverse mode, you must provide full reverse record to use using
                  -r parameter
  -k key.private  Optionnal : Key to use for authentification to bind server
  -d              Debug mode
```

### License
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 2
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
